dcl_settings : default_dcl_settings { audit_level = 0; }

plotit : dialog	{
	aspect_ratio = -0.5;
	label = "PLOTIT! - BATCH PLOTTING - V3.95";


        : boxed_column {
           label = "File Attributes:"; 
           fixed_width = false;               

    : row {
        : column {
            
            : boxed_column {
                       label = "Plot Space:";                       
                        fixed_height = false;
                    : radio_column {
                        fixed_height = true;
  		    : radio_button {
		        label = "Model Space" ;
			   key   = "m_space" ;
                        value = 1;
                  mnemonic = "M";
			}

  		    : radio_button {
		        label = "Paper Space" ;
			   key   = "p_space" ;
                  mnemonic = "P";
			}

}
}
}

            : boxed_row {
                       label = "Plot Area:";                       

                : column {
                    : radio_column {
                        fixed_height = true;
        	    : radio_button {
		        label = "Extents   " ;
			   key   = "extents" ;
                  mnemonic = "E";
			}

  		    : radio_button {
		        label = "Limits" ;
			   key   = "limits" ;
                  mnemonic = "L";
			}

}
}

        : column {
            : column {

                fixed_height = true;
  		    : radio_button {
		        label = "View....." ;
			   key   = "view" ;
                  mnemonic = "V";
			}
                              
                    : edit_box {
		        label = "" ;
                        key = "vbox";
                        edit_width = 10;
                    }
            

}               
}
}

                : boxed_column {
                       label = "Plot Scale:";                       

            : row {
                : column {
                    : radio_column {
                        fixed_height = true;

  		    : radio_button {
		        label = "Plot to Fit" ;
			   key   = "plot_fit" ;
                        value = 1;
                  mnemonic = "F";
			}

  		    : radio_button {
		        label = "Given Scale:" ;
			   key   = "given_scale" ;
                  mnemonic = "G";
			}

              
                }
}

                : column {
                fixed_height = false;
                spacer_1;
                    : edit_box {
		        label = "" ;
                        key = "scbox";
                        edit_width = 10;
                    }
                

            }
}
}




}



    : row {

            fixed_height = true;
            fixed_width = false;

            :text {label = "Layers On/Thawed: " ;}
            :text {label = "Layers Off/Frozen:" ;}
    }

    : row {


                        fixed_height = true;
                        fixed_width = false;

                    : edit_box {
                        key = "lay_on";
                        edit_width = 36;
                        fixed_width = true;
                    }

                    : edit_box {
                        key = "lay_off";
                        edit_width = 36;
                        fixed_width = true;
                    }

                      



}







}






        : row {
	    : column {
            :text {
                label = "File List Box...." ;
            }



            fixed_height = true;
		   : list_box {
		       label ="" ;
                       mnemonic = "";
		       key = "boxlist";
		       width =  50;
		       height = 13;
		       multiple_select = true;
		   }
	     }

    : column {
        : text { label = "List Box Functions:";}
        : row {
            fixed_height = true;
            height = 13;
          : column {
            fixed_height = false;
	         : button {
                  label = "ADD FILE";
                       fixed_width = false;
		       width =  12;
                  key = "add";
                  alignment = centered;  
                  mnemonic = "A";
              }
 		    : button {
		        label = "REMOVE FILE" ;
                       fixed_width = false;
		       width =  12;
		       key   = "remove1" ;
                       alignment = centered;  
                       mnemonic = "R";
			}


 		    : button {
		        label = "GET LIST" ;
			   key   = "get_list" ;
                       fixed_width = false;
		       width =  12;
                       alignment = centered;  
                       mnemonic = "G";
			}

 		    : button {
		        label = "APPEND LIST" ;
                        key   = "append_list" ;
                        fixed_width = false;
		        width =  12;
                        alignment = centered;  
                        mnemonic = "A";
        		}



 		    : button {
		        label = "SAVE LIST" ;
                        key   = "savelist" ;
                        fixed_width = false;
		        width =  12;
                        alignment = centered;  
                        mnemonic = "S";
			}

		}


    : column {

    : button {
        label = "UPDATE";
        key = "update";
        fixed_width = false;
        width =  12;
        alignment = centered;  
        mnemonic = "U";
    }
    : button {
        label = "UPDATE ALL";
        key = "updateall";
        fixed_width = false;
        width =  12;
        alignment = centered;  
        mnemonic = "U";
    }

    : button {
        label = "ATTRIBUTES";
        key = "attributes";
        fixed_width = false;
        width =  12;
        alignment = centered;  
        mnemonic = "A";
    }


    : button {
       label = "CHANGE PATH" ;
       key   = "path" ;
       fixed_width = false;
       width =  12;
       alignment = centered;  
       mnemonic = "C";
    }

    : button {
	label = "CLEAR LIST" ;
        key   = "clear" ;
        fixed_width = false;
        width =  12;
        alignment = centered;  
        mnemonic = "C";
    }




}
}
}
     }

: row { 

        : boxed_column {    
           label = "Plot Stamps:"; 
            fixed_width = false;

            : row {
  		    : toggle {
		        label = "User:" ;
			   key   = "user_stamp" ;
                  mnemonic = "U";
			}

                    : edit_box {
		        label = "" ;
                        key = "user";
                        edit_width = 9;
                        fixed_width = true;
                    }


                }
        


  		    : toggle {
		        label = "Path/DWG Stamp" ;
			   key   = "path_stamp" ;
                  mnemonic = "P";
			}

        	    : toggle {
		        label = "Date Stamp" ;
			   key   = "date_stamp" ;
                  mnemonic = "D";
			}

  		    : toggle {
		        label = "Time Stamp" ;
			   key   = "time_stamp" ;
                  mnemonic = "T";
			}

         : button {
             label = "Place Stamps";
             key = "plcstamp";
             fixed_width     = false;
             alignment = centered;
             mnemonic = "";
         }






}



    : column {
      fixed_width = false;

    : boxed_radio_column {

        label = "Plotter Parameters:" ;

                : row {
                    fixed_width = false;
  		    : radio_button {
        	        label = "Plot to File - Dir: " ;
			   key   = "plot_file" ;
                  mnemonic = "F";
			}
                    : edit_box {
		        label = "" ;
                        key = "directory";
                        edit_width = 18;
                        fixed_width = true;
                    }
         : button {
             label = "Select";
             key = "dir10";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "S";
         }







                }

                : row {
                    fixed_width = false;
  		    : radio_button {
		        label = "Plot Direct - Port: " ;
			   key   = "plot_direct" ;
                  mnemonic = "D";
			}

                    : edit_box {
		        label = "" ;
                        key = "port";
                        edit_width = 18;
                        fixed_width = true;
                    }
         : button {
             label = "Select";
             key = "sport";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "S";
         }







                }

            : row {
                    fixed_width = false;
            :text {label = "Plotter Configuration:" ;
                  mnemonic = "P";
}
                    : edit_box {
		        label = "" ;
                        key = "plotter";
                        edit_width = 18;
                        fixed_width = true;
                  mnemonic = "P";
                    }

         : button {
             label = "Select";
             key = "plotcfg";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "S";
         }




            }

            : row {
                    fixed_width = false;
            :text {label = "Settings \"PCP\" File:  " ;
                  mnemonic = "S";
}
                    : edit_box {
		        label = "" ;
                        key = "plotterpcp";
                        edit_width = 18;
                        fixed_width = true;
                  mnemonic = "S";
                    }

         : button {
             label = "Select";
             key = "pcpfile";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "S";
         }






}
}
}





}


     : row {
         : button {
             label = "START PLOTTING";
             key = "start";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "";
         }
         : button {
             label = "PLOTIT OPTIONS";
             key = "options";
             fixed_width     = false;
             width           = 8;
             alignment = centered;
             mnemonic = "";
         }

         : button {
             label = " EXIT PLOTIT ";
             key = "cancel";
             fixed_width     = false;
             alignment = centered;
             is_cancel       = true;
             mnemonic = "";
         }
   
     }





}

matt : dialog	{
aspect_ratio = 2;
label = "Plotters";

: column {

    : list_box {
       label = "" ;
       mnemonic = "l";
       key = "plotterlst";
       width =  8;
       height = 10;
       allow_accept = true;
       multiple_select = false;
    }
	     
: row {


    : button {
        label = "OK";
        key = "ok";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default;
        mnemonic = "O";
    }
    : button {
        label = "Cancel";
        key = "cancel1";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
    }



}


}

}

matt2 : dialog	{
aspect_ratio = 1;
label = "Choose Port";

: column {

    : list_box {
       label = "" ;
       mnemonic = "l";
       key = "portlist";
       width =  8;
       height = 10;
       allow_accept = true;
       multiple_select = false;
    }
	     
: row {


    : button {
        label = "OK";
        key = "ok2";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default       = true;
        mnemonic = "O";
    }
    : button {
        label = "Cancel";
        key = "cancel2";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
    }



}


}

}

matt3 : dialog	{
aspect_ratio = 4;
label = "WARNING!";

: column {

            :text {label = "All Files in List Will Be Changed!" ;}
            :text {label = "     Do You Wish To Continue?" ;}	     


: row {


    : button {
        label = "OK";
        key = "ok3";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default       = true;
        mnemonic = "O";
    }
    : button {
        label = "Cancel";
        key = "cancel3";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
    }



}


}

}

matt4 : dialog	{
aspect_ratio = 0;
label = "WARNING!";

: column {

            :text {label = " List Will Be Deleted!" ;}
            :text {label = "Do You Wish To Continue?" ;}	     


: row {


    : button {
        label = "OK";
        key = "ok4";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default       = true;
        mnemonic = "O";
    }
    : button {
        label = "Cancel";
        key = "cancel4";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
    }



}


}

}

matt5 : dialog	{
aspect_ratio = 4;
label = "CHANGE PATH SEARCH";


    : row {

        : edit_box {
        label = "Change From:" ;
        key = "from";
        edit_width = 29;
        allow_accept = true;
        fixed_width = true;
        }
    }

    : row {            
        : edit_box {
	label = "Change To:  " ;
        key = "to";
        edit_width = 29;
        allow_accept = true;
        fixed_width = true;
        }


    }

    : row {


        : button {
        label = "OK";
        key = "ok5";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default       = true;
        mnemonic = "O";
        }
        : button {
        label = "Cancel";
        key = "cancel5";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
       }

    }

}
matt6 : dialog	{
aspect_ratio = 0;
label = "PLOTIT OPTIONS";

: column {
	    : toggle {
            label = "Plot Drawings" ;
	    key   = "plotme" ;
            mnemonic = "P";
	    }
	    : toggle {
            label = "Spool Plot Files" ;
	    key   = "spool" ;
            mnemonic = "S";
	    }


	    : toggle {
            label = "Save Added File List" ;
	    key   = "listme" ;
            mnemonic = "S";
	    }

	    : toggle {
            label = "Plot In Read-Only Mode" ;
	    key   = "red" ;
            mnemonic = "P";
	    }

	    : toggle {
            label = "Viewport On/Off Mode" ;
	    key   = "viewme" ;
            mnemonic = "V";
	    }



        : row {
	    : toggle {
            label = "Run Lisp" ;
	    key   = "lithp" ;
            mnemonic = "R";
	    }
        : edit_box {
	label = "" ;
        key = "lithpnm";
        edit_width = 20;
        allow_accept = true;
        fixed_width = true;
        }

        : button {
        label = "Select";
        key = "getlithp";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        mnemonic = "S";
        }




            }


	    : toggle {
            label = "Cumulative Plot Log" ;
	    key   = "cum" ;
            mnemonic = "C";
	    }



}

                spacer_1;

    : column {
    : text { label = "Plot Report/Log Information:";}
        : edit_box {
	label = "Client/Job#:" ;
        key = "clij";
        edit_width = 25;
        allow_accept = true;
        fixed_width = true;
        }



        : edit_box {
        label = "Plotted By: " ;
        key = "pltby";
        edit_width = 25;
        allow_accept = true;
        fixed_width = true;
       }
           


    }
                spacer_1;
    : row {


        : button {
        label = "OK";
        key = "ok6";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_default       = true;
        mnemonic = "O";
        }
        : button {
        label = "Cancel";
        key = "cancel6";
        fixed_width     = true;
        width           = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "C";
       }

    }

}